[SeaMonkey 2.1] mailnews/imap/test/unit/test_localToImapFilterQuarantine.js | test failed (with xpcshell return code: -6) (due to an assertion)

RESOLVED FIXED in Thunderbird 3.3a1

Status

MailNews Core
Filters
--
major
RESOLVED FIXED
8 years ago
8 years ago

People

(Reporter: Bruno 'Aqualon' Escherl, Assigned: Bruno 'Aqualon' Escherl)

Tracking

(Blocks: 1 bug, {assertion})

Trunk
Thunderbird 3.3a1
All
Linux
assertion
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(URL)

Attachments

(2 attachments)

(Assignee)

Description

8 years ago
Created attachment 474668 [details]
log of test fail

http://hg.mozilla.org/comm-central/rev/fec22592f354

This test passes for SeaMonkey locally if the added check, that should disable the test, is removed.

Mark: Do you have any idea why this could happen and if this test can be enabled again?

On our build server it seems to be a different issue (see URL). The files libxpcomsample.so and libxpctest.so seem to be missing there from the components directory.
(In reply to comment #0)

> Created attachment 474668 [details]
> log of test fail

http://tinderbox.mozilla.org/showlog.cgi?tree=SeaMonkey&errorparser=unittest&logfile=1284360113.1284361407.13108.gz&buildtime=1284360113&buildname=Linux comm-central-trunk debug test xpcshell&fulltext=1#err1

> This test passes for SeaMonkey locally if the added check, that should disable
> the test, is removed.

The test should log a message when it aborts early...

> On our build server it seems to be a different issue (see URL). The files
> libxpcomsample.so and libxpctest.so seem to be missing there from the
> components directory.

(The lib issue is unrelated.)

Ftr, it happens on Linux and Windows but not on MacOSX.

Linux:
{
TEST-UNEXPECTED-FAIL | .../test_localToImapFilterQuarantine.js | test failed (with xpcshell return code: -6), see following log:

###!!! ASSERTION: tried to add duplicate listener: 'index == -1', file .../nsMsgMailSession.cpp, line 103
}

Windows:
{
TEST-UNEXPECTED-FAIL | ...\test_localToImapFilterQuarantine.js | test failed (with xpcshell return code: 0), see following log:

TEST-UNEXPECTED-FAIL | ../../../resources/asyncTestUtils.js | Timeout running test, and we want you to have the log. - See following stack:

TEST-UNEXPECTED-FAIL | ...\xpcshell\head.js | exception thrown from do_timeout callback: 2147500036 - See following stack:
}
Blocks: 387361
Severity: normal → major
Component: Testing Infrastructure → Filters
Keywords: assertion
OS: Linux → All
Product: SeaMonkey → MailNews Core
QA Contact: testing-infrastructure → filters
Hardware: x86_64 → All
Lets keep this bug to the linux only failure - the windows one is clearly a different issue to this.

I wouldn't be surprised if the Linux failure is something to do with the fact that the test is setting up the IMAP pump regardless of whether or not the rest of the test is running. It certainly seems to be failing there with the assertion.

That said, if we can get confirmation that this runs successfully on Thunderbird Linux now, we could probably just re-enable it.

Note we should check both debug and opt modes for this.
OS: All → Linux
Summary: [SeaMonkey 2.1] mailnews/imap/test/unit/test_localToImapFilterQuarantine.js | test failed (with xpcshell return code: -6) → [SeaMonkey 2.1] mailnews/imap/test/unit/test_localToImapFilterQuarantine.js | test failed (with xpcshell return code: -6) (due to an assertion)
(Mid-air collision: anyway.)

Ftr:

http://brasstacks.mozilla.com/topfails/test/SeaMonkey?name=xpcshell/tests/test_imap/unit/test_localToImapFilterQuarantine.js
"Continuously" from "2010-06-10 05:15" to "2010-09-09 14:14".
(= soon after the test was checked in.)

http://brasstacks.mozilla.com/topfails/test/SeaMonkey?name=xpcshell/tests/mailnews/imap/test/unit/test_localToImapFilterQuarantine.js
(new path)
Last "single" MacOSX failure: "2010-09-10 18:30 SeaMonkey OS X 10.5", same as the Windows one.
(Ftr, I ran this test locally with an Opt Windows tinderbox-build and it passes.)
(Assignee)

Comment 5

8 years ago
(In reply to comment #2)
> That said, if we can get confirmation that this runs successfully on
> Thunderbird Linux now, we could probably just re-enable it.
> 
> Note we should check both debug and opt modes for this.
I tried Thunderbird trunk opt and debug and in both cases, the test fails for me with the check enabled. If I comment it out, it passes, just like SeaMonkey. So I wonder what's different between my local setup and the tests run on the build server.

I ran the test from the respective objdirs with the following command:

TEST_PATH=mailnews/imap/test/unit/test_localToImapFilterQuarantine.js make xpcshell-tests
(In reply to comment #5)

Afaict, your results are consistent with the current status on the builders.
So it looks like the test should just be re-enabled on Linux.
(At worse, we'll just get an update on what is failing there ;->)
(Assignee)

Comment 7

8 years ago
(In reply to comment #5)
> > Note we should check both debug and opt modes for this.
> I tried Thunderbird trunk opt and debug and in both cases, the test fails for
> me with the check enabled.
Ok, that was my fault (wrong compile configuration). For TB opt the test passes with and without the check. TB debug passes without the check but fails with the check. So could be removed.
(Assignee)

Comment 8

8 years ago
Created attachment 474709 [details] [diff] [review]
reenable localToImapFilterQuarantine.js test
Assignee: nobody → aqualon
Status: NEW → ASSIGNED
Attachment #474709 - Flags: review?(bugzilla)
Attachment #474709 - Flags: review?(bugzilla) → review+
Checked in: http://hg.mozilla.org/comm-central/rev/8cb2c0b4eabc

(assuming this will be fixed now)
Status: ASSIGNED → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → FIXED
Target Milestone: --- → Thunderbird 3.3a1
(Assignee)

Updated

8 years ago
Blocks: 596184
You need to log in before you can comment on or make changes to this bug.